Page MenuHomeFreeBSD

New port: archivers/lizard: Efficient compressor with very fast decompression
ClosedPublic

Authored by kai on Apr 17 2019, 11:22 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jun 20, 2:19 PM
Unknown Object (File)
Tue, Jun 4, 7:19 AM
Unknown Object (File)
Mon, Jun 3, 3:25 PM
Unknown Object (File)
Tue, May 28, 11:41 AM
Unknown Object (File)
May 13 2024, 8:23 PM
Unknown Object (File)
May 9 2024, 1:28 AM
Unknown Object (File)
May 3 2024, 7:23 AM
Unknown Object (File)
Apr 27 2024, 3:49 AM
Subscribers
None

Details

Summary

Description:
Lizard (formerly LZ5) is an efficient compressor with very fast
decompression. It achieves compression ratio that is comparable to
zip/zlib and zstd/brotli (at low and medium compression levels) at
decompression speed of 1000 MB/s and faster.

WWW: https://github.com/inikep/lizard

PR: 237310
Submitted by: Hiroki Tagato
Approved by: (one of the mentors)

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r346132 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests -> OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Apr 18 2019, 12:03 PM
This revision was automatically updated to reflect the committed changes.